## AgsFrontController

AgsFrontController — handle all XMLRPC requests

## Stability Level

Stable, unless otherwise indicated

## Functions

gpointer | ags_front_controller_do_request ()
AgsFrontController * | ags_front_controller_new ()

## Signals

gpointer | do-request | Run Last

## Object Hierarchy

        GObject
        ╰── AgsController
            ╰── AgsFrontController

## Includes

    #include <ags/server/controller/ags_front_controller.h>

## Description

The AgsFrontController is an object to handle XMLRPC requests.

## Functions

### ags_front_controller_do_request ()

    gpointer
    ags_front_controller_do_request (AgsFrontController *front_controller,
                                     SoupServerMessage *msg,
                                     GHashTable *query,
                                     GObject *security_context,
                                     gchar *path,
                                     gchar *login,
                                     gchar *security_token);

Do a XML-RPC request for the given `path` with `query` .

#### Parameters

front_controller | the AgsFrontController |
msg | the SoupServerMessage |
query | the GHashTable |
security_context | the AgsSecurityContext |
path | the context path to access |
login | the login |
security_token | the security token |

#### Returns

the response on success, otherwise `NULL`.

Since: 3.0.0

### ags_front_controller_new ()

    AgsFrontController *
    ags_front_controller_new ();

Instantiate new AgsFrontController

#### Returns

the AgsFrontController

Since: 3.0.0

## Signal Details

### The `“do-request”` signal

    gpointer
    user_function (AgsFrontController *front_controller,
                   GObject            *msg,
                   gpointer            query,
                   GObject            *security_context,
                   char               *context_path,
                   char               *user,
                   char               *security_token,
                   gpointer            user_data)

Do a request on the front controller.

#### Parameters

front_controller | the AgsFrontController |
msg | the SoupServerMessage |
query | the GHashTable |
security_context | the AgsSecurityContext |
context_path | the context path to access |
user | the user's UUID |
security_token | the security token |
user_data | user data set when the signal handler was connected. |

#### Returns

the response

Flags: Run Last

Since: 3.0.0